
Application: gvSIG desktop - gvSIG bugs #1226
on the fly reprojection doesn't work for DXF layers
10/04/2012 10:24 AM - María Maluenda

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Document view
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2055 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1.- Open gvSIG
2.- Add new View (EPSG 4326)
3.- Add new layer (WMS: http://ovc.catastro.meh.es/Cartografia/WMS/ServidorWMS.aspx /Catastro/image:png/EPSG 4326/html)
4.- Add new layer DXF: (http://downloads.gvsig.org/download/geodata/vector/DXF/Alicante_cv05_ICV_DXF.zip, change properties
select CRS=23030 and with EPSG transformation EPSG to WGS 84--> 1635)
You can see that the layer isn't in the correct position above to WMS layer. The coordinates aren't correct, are UTM coordinates in
degrees.  
------------------
1.- Abir gvSIG
2.- Añadir Vista nueva(EPSG 4326)
3.- Añadir nueva capa (WMS: http://ovc.catastro.meh.es/Cartografia/WMS/ServidorWMS.aspx / Catastro / imagen: png / EPSG
4326/html)
4.- Agregar nueva capa DXF: (http://downloads.gvsig.org/download/geodata/vector/DXF/Alicante_cv05_ICV_DXF.zip, cambiar las
propiedades, seleccionar CRS= 23030 y Transformación EPSG a WGS 84 -> 1635)
Puede observar que la capa no está en la posición correcta por encima de la capa WMS. Las coordenadas no son correctas, son
coordenadas UTM en grados.

History
#1 - 10/22/2012 10:08 AM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 10/24/2012 11:37 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#3 - 10/25/2012 12:38 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Added case in getDynValue method (DXF store provider) to get CRS.

gvsig-desktop:r39095

Test: the steps described should now work
#4 - 11/08/2012 01:49 PM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2057
